import { useRequest } from '@/use/useHttp'

/**
 *  获取色卡订单列表
 * @returns
 */
export const GetColorCardOrderList = () => {
  return useRequest({
    url: '/v1/mp/colorCardOrder/list',
    method: 'get',
  })
}

/**
 *  获取色卡订单详情
 * @returns
 */
export const GetColorCardOrderDetail = () => {
  return useRequest({
    url: '/v1/mp/colorCardOrder',
    method: 'get',
  })
}

/**
 *  提交色卡订单
 * @returns
 */
export const SubmitColorCardOrder = () => {
  return useRequest({
    url: '/v1/mp/colorCardOrder/submit',
    method: 'post',
  })
}

/**
 *  获取可添加的色卡
 * @returns
 */
export const GetCanAddCardList = () => {
  return useRequest({
    url: '/v1/mp/colorCardOrder/canAddCard',
    method: 'post',
  })
}

/**
 *  取消色卡订单
 * @returns
 */
export const CancelColorCardOrder = () => {
  return useRequest({
    url: '/v1/mp/colorCardOrder/cancel',
    method: 'post',
  })
}
